Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.bridge.connector.tcp
Class TCPMultiServerPortListenerRunnable

    java.lang.Object
      kieker.tools.bridge.connector.tcp.TCPMultiServerPortListenerRunnable

All Implemented Interfaces:
  Runnable

    public class TCPMultiServerPortListenerRunnable

extends Object
implements Runnable

Runnable class implementing a thread listening for an incoming connection for monitoring data. It then starts a connection thread handling the actual data transmissions.

Since:
  1.8
Author:
  Reiner Jung

Constructor Summary
`TCPMultiServerPortListenerRunnable(int port, BlockingQueue<IMonitoringRecord> recordQueue, ConcurrentMap<Integer,LookupEntity> lookupEntityMap, ExecutorService executor)` Create a listener for the incoming port of the multi server.

Method Summary
`void` | `run()` Main loop of the port listener.
`void` | `setActive(boolean active)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPMultiServerPortListenerRunnable

    public TCPMultiServerPortListenerRunnable(int port,
                                              BlockingQueue<IMonitoringRecord> recordQueue,
                                              ConcurrentMap<Integer,LookupEntity> lookupEntityMap,
                                              ExecutorService executor)
                                       throws IOException

  Create a listener for the incoming port of the multi server.

  Parameters:
    `port` - IP port to listen to
    `recordQueue` - the central queue for incoming data records
    `lookupEntityMap` - lookup map for IMonitoringRecord types
    `executor` - the thread pool
  Throws:
    `IOException` - when no server socket can be created

Method Detail

### run

    public void run()

  Main loop of the port listener.

  Specified by:
    `run` in interface `Runnable`

### setActive

    public void setActive(boolean active)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net